import {
  NopLogger
} from "./chunk-G5BSPRMY.js";

// src/utils/createTaskContext.ts
var TaskResult = /* @__PURE__ */ ((TaskResult2) => {
  TaskResult2[TaskResult2["Success"] = 0] = "Success";
  TaskResult2[TaskResult2["Failure"] = 1] = "Failure";
  return TaskResult2;
})(TaskResult || {});
function createTaskContext() {
  const context = {
    logger: new NopLogger(),
    takeOverTerminal: async (run) => {
    },
    failAndThrow: (_message, _error) => {
      throw new Error("unimplemented");
    },
    failWithoutThrowing: (_message, _error) => {
    },
    getResult: () => 0 /* Success */,
    addInteractiveTask: () => {
      throw new Error("unimplemented");
    },
    runInteractiveTask: async (_params, _run) => {
      return false;
    },
    instrumentPostHogEvent: async (_event) => {
    }
  };
  return context;
}

export {
  TaskResult,
  createTaskContext
};
